#version 330 core

in vec2 TexCoords;
in vec3 Normal;  
in vec3 FragPos;  
  
uniform vec3 lightPos; 
uniform vec3 lightColor;

out vec4 color;

uniform sampler2D texture_diffuse1;

void main()
{    
 // Ambient
    float ambientStrength = 0.1f;
    vec3 ambientVec = ambientStrength * lightColor;
	vec3 ambient = ambientVec * vec3(texture(texture_diffuse1, TexCoords));

  // Diffuse 
    vec3 norm = normalize(Normal);
    vec3 lightDir = normalize(lightPos - FragPos);
    float diff = max(dot(norm, lightDir), 0.0);
    vec3 diffuseLight = diff * lightColor;
	vec3 diffuse = diffuseLight * vec3(texture(texture_diffuse1, TexCoords));

    vec3 result = (ambient + diffuse);
	color = vec4(result, 1.0f);

}