#version 330 core
layout (location = 0) in vec3 position;
layout (location = 1) in vec3 normal;
layout (location = 2) in vec2 texCoords;

out vec2 TexCoords;
out vec3 FragPos;  
out vec3 Normal;

uniform mat4 model;
uniform mat4 view;
uniform mat4 projection;
uniform vec4 clipPlane;

void main()
{
	vec4 worldPos = model*vec4(position,1.0f);

	gl_ClipDistance[0] = dot(worldPos,clipPlane);

    //gl_Position = projection * view * model * transform * vec4(position, 1.0f);
	 gl_Position =  projection * view * worldPos;
    TexCoords = texCoords;
    FragPos = vec3(model * vec4(position, 1.0f));
    Normal = normal;
}