#version 330 core
layout (location = 0) in vec3 position;
layout (location = 1) in vec3 normal;
layout (location = 2) in vec2 texCoords;

out vec2 TexCoords;
out vec3 FragPos;
out vec3 Normal;

out vec4 FragPosLightSpace;

uniform mat4 model;
uniform mat4 projection;
uniform mat4 view;
uniform vec4 clipPlane;

uniform mat4 lightSpaceMatrix;


void main()
{
	vec4 worldPos = model*vec4(position,1.0f);

	gl_ClipDistance[0] = dot(worldPos,clipPlane);

    gl_Position =  projection * view * worldPos;
	
	FragPos = vec3(model * vec4(position, 1.0f));
	TexCoords = texCoords;

	Normal = mat3(transpose(inverse(model))) * normal;
	FragPosLightSpace = lightSpaceMatrix * worldPos;
}
