#version 330 core
layout (location = 0) in vec3 position;
layout (location = 1) in vec3 normal;
layout (location = 2) in vec2 texCoords;
layout (location = 3) in vec2 texCoordsRef;

out vec2 TexCoords;
out vec2 TexCoordsRef;
out vec4 clipspace;

out vec3 FragPos;  
out vec3 toCameraVector;
out vec3 fromLightVector;

uniform mat4 model;
uniform mat4 view;
uniform mat4 projection;

uniform vec3 lightPos;
uniform vec3 cameraPos;

const float tiling = 2.0;

void main()
{
	//calc worldposition
	vec4 worldPos = model*vec4(position,1.0f);

	gl_Position =  projection * view * worldPos;
    TexCoords = texCoords * tiling;
	TexCoordsRef = texCoordsRef;
	clipspace=gl_Position;

	FragPos = vec3(model * vec4(position, 1.0f));

	toCameraVector = cameraPos - worldPos.xyz;
	fromLightVector= worldPos.xyz - lightPos;
}